# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::CostType Class Reference

A structure for recording costs, particularly in quantisation.

`#include <common.h>`

List of all members.

## Public Attributes

- double Error
    The error (MSE or 4th power).
- double ENTROPY
    The entropy in bits per symbol.
- double TOTAL
    The Lagrangian combination of MSE+lambda*entropy.

## Member Data Documentation

double dirac::CostType::ENTROPY

double dirac::CostType::Error

double dirac::CostType::TOTAL

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.